Connect
POST
/v1/integrations/google/connect
const url = 'https://api.cloud.agentums.ru/v1/integrations/google/connect';const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.cloud.agentums.ru/v1/integrations/google/connect \ --header 'Authorization: Bearer <token>'Ссылка на экран согласия Google. Сам переход делает браузер, а не мы.
Authorizations
Заголовок раздела «Authorizations»Responses
Заголовок раздела «Responses»Successful Response
Media typeapplication/json
ConnectOut
object
url
required
Url
string
Examplegenerated
{ "url": "example"}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{ "detail": [ { "ctx": {}, "input": "example", "loc": [ "example" ], "msg": "example", "type": "example" } ]}